﻿using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ToolbarItemsCutOffTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraToolbarsManager1.CreationFilter = new ToolbarCreationFilter();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            foreach(var x in ultraToolbarsManager1.Toolbars[0].Tools)
            {
                PropertyInfo info = x.GetType().GetProperty("BumpedFromToolbar", BindingFlags.NonPublic | BindingFlags.Instance);
                bool value = (bool)info.GetValue(x);
                System.Diagnostics.Debug.WriteLine("Tool: " + x.ToString() + ", Bumped Status: " + value);
            }
        }
    }


    public class ToolbarCreationFilter : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {             
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            if(parent is QuickCustomizeToolUIElement)
            {
                return true;
            }
            return false;
        }
    }
}
